## plr 0.5.3+0.5.4alpha

=== Makefile ===
# location of R library
r_libdir = ${R_HOME}/bin
# location of R includes
r_includespec = ${R_HOME}/include

subdir = contrib/plr
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

# we can only build PL/R if libR is available
# Since there is no official way to determine this,
# we see if there is a file that is named like a shared library.
ifneq (,$(wildcard $(r_libdir)/libR*$(DLSUFFIX)*))
shared_libr = yes
endif

# If we don't have a shared library and the platform doesn't allow it
# to work without, we have to skip it.
ifneq (,$(findstring yes, $(shared_libr)$(allow_nonpic_in_shlib)))

override CPPFLAGS := -I$(srcdir) -I$(r_includespec) $(CPPFLAGS)
override CPPFLAGS += -DPKGLIBDIR=\"$(pkglibdir)\" -DDLSUFFIX=\"$(DLSUFFIX)\"
rpath :=

MODULE_big	:= plr
PG_CPPFLAGS	+= -I$(r_includespec)
SRCS		+= plr.c pg_conversion.c pg_backend_support.c pg_userfuncs.c pg_rsupport.c
OBJS		:= $(SRCS:.c=.o)
SHLIB_LINK	+= -L$(r_libdir) -lR

DATA_built	:= plr.sql 
DOCS		:= README.plr
REGRESS		:= plr
EXTRA_CLEAN	:= doc/HTML.index expected/plr.out

include $(top_srcdir)/contrib/contrib-global.mk

installcheck: submake
ifeq ($(findstring 7.3,$(VERSION)),7.3)
	cp -f $(top_builddir)/$(subdir)/expected/plr.out.7.3 $(top_builddir)/$(subdir)/expected/plr.out
else
	cp -f $(top_builddir)/$(subdir)/expected/plr.out.7.4 $(top_builddir)/$(subdir)/expected/plr.out
endif
	$(top_builddir)/src/test/regress/pg_regress $(REGRESS)

else # can't build

all:
	@echo ""; \
	 echo "*** Cannot build PL/R because libR is not a shared library." ; \
	 echo "*** You might have to rebuild your R installation.  Refer to"; \
	 echo "*** the documentation for details."; \
	 echo ""

endif # can't build

## plr 0.6.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,12 @@
 # location of R library
-r_libdir = ${R_HOME}/bin
+r_libdir1x = ${R_HOME}/bin
+r_libdir2x = ${R_HOME}/lib
 # location of R includes
 r_includespec = ${R_HOME}/include
+
+ifeq ($(PORTNAME), darwin)
+DYSUFFIX = dylib
+endif
 
 subdir = contrib/plr
 top_builddir = ../..
@@ -10,8 +15,14 @@
 # we can only build PL/R if libR is available
 # Since there is no official way to determine this,
 # we see if there is a file that is named like a shared library.
-ifneq (,$(wildcard $(r_libdir)/libR*$(DLSUFFIX)*))
-shared_libr = yes
+ifneq ($(PORTNAME), darwin)
+ifneq (,$(wildcard $(r_libdir1x)/libR*$(DLSUFFIX)*)$(wildcard $(r_libdir2x)/libR*$(DLSUFFIX)*))
+	shared_libr = yes;
+endif
+else
+ifneq (,$(wildcard $(r_libdir1x)/libR*$(DYSUFFIX)*)$(wildcard $(r_libdir2x)/libR*$(DYSUFFIX)*))
+	shared_libr = yes
+endif
 endif
 
 # If we don't have a shared library and the platform doesn't allow it
@@ -26,7 +37,7 @@
 PG_CPPFLAGS	+= -I$(r_includespec)
 SRCS		+= plr.c pg_conversion.c pg_backend_support.c pg_userfuncs.c pg_rsupport.c
 OBJS		:= $(SRCS:.c=.o)
-SHLIB_LINK	+= -L$(r_libdir) -lR
+SHLIB_LINK	+= -L$(r_libdir1x) -L$(r_libdir2x) -lR
 
 DATA_built	:= plr.sql 
 DOCS		:= README.plr

## plr 0.6.2

=== Makefile ===
--- 
+++ 
@@ -29,10 +29,6 @@
 # to work without, we have to skip it.
 ifneq (,$(findstring yes, $(shared_libr)$(allow_nonpic_in_shlib)))
 
-override CPPFLAGS := -I$(srcdir) -I$(r_includespec) $(CPPFLAGS)
-override CPPFLAGS += -DPKGLIBDIR=\"$(pkglibdir)\" -DDLSUFFIX=\"$(DLSUFFIX)\"
-rpath :=
-
 MODULE_big	:= plr
 PG_CPPFLAGS	+= -I$(r_includespec)
 SRCS		+= plr.c pg_conversion.c pg_backend_support.c pg_userfuncs.c pg_rsupport.c
@@ -46,13 +42,18 @@
 
 include $(top_srcdir)/contrib/contrib-global.mk
 
-installcheck: submake
+override CPPFLAGS := -I$(srcdir) -I$(r_includespec) $(CPPFLAGS)
+override CPPFLAGS += -DPKGLIBDIR=\"$(pkglibdir)\" -DDLSUFFIX=\"$(DLSUFFIX)\"
+rpath :=
+
+installcheck: plrinstallcheck
+
+plrinstallcheck:
 ifeq ($(findstring 7.3,$(VERSION)),7.3)
 	cp -f $(top_builddir)/$(subdir)/expected/plr.out.7.3 $(top_builddir)/$(subdir)/expected/plr.out
 else
 	cp -f $(top_builddir)/$(subdir)/expected/plr.out.7.4 $(top_builddir)/$(subdir)/expected/plr.out
 endif
-	$(top_builddir)/src/test/regress/pg_regress $(REGRESS)
 
 else # can't build

## plr 8.2.0.1

=== Makefile ===
--- 
+++ 
@@ -7,10 +7,6 @@
 ifeq ($(PORTNAME), darwin)
 DYSUFFIX = dylib
 endif
-
-subdir = contrib/plr
-top_builddir = ../..
-include $(top_builddir)/src/Makefile.global
 
 # we can only build PL/R if libR is available
 # Since there is no official way to determine this,
@@ -38,22 +34,20 @@
 DATA_built	:= plr.sql 
 DOCS		:= README.plr
 REGRESS		:= plr
-EXTRA_CLEAN	:= doc/HTML.index expected/plr.out
+EXTRA_CLEAN	:= doc/HTML.index
 
+ifdef USE_PGXS
+PGXS := $(shell pg_config --pgxs)
+include $(PGXS)
+else
+subdir = contrib/plr
+top_builddir = ../..
+include $(top_builddir)/src/Makefile.global
 include $(top_srcdir)/contrib/contrib-global.mk
+endif
 
 override CPPFLAGS := -I$(srcdir) -I$(r_includespec) $(CPPFLAGS)
 override CPPFLAGS += -DPKGLIBDIR=\"$(pkglibdir)\" -DDLSUFFIX=\"$(DLSUFFIX)\"
-rpath :=
-
-installcheck: plrinstallcheck
-
-plrinstallcheck:
-ifeq ($(findstring 7.3,$(VERSION)),7.3)
-	cp -f $(top_builddir)/$(subdir)/expected/plr.out.7.3 $(top_builddir)/$(subdir)/expected/plr.out
-else
-	cp -f $(top_builddir)/$(subdir)/expected/plr.out.7.4 $(top_builddir)/$(subdir)/expected/plr.out
-endif
 
 else # can't build

## plr 8.3.0.6

=== Makefile ===
# location of R library

ifdef R_HOME
r_libdir1x = ${R_HOME}/bin
r_libdir2x = ${R_HOME}/lib
# location of R includes
r_includespec = ${R_HOME}/include
else
R_HOME := $(shell pkg-config --variable=rhome libR)
r_libdir1x := $(shell pkg-config --variable=rlibdir libR)
r_libdir2x := $(shell pkg-config --variable=rlibdir libR)
r_includespec := $(shell pkg-config --variable=rincludedir libR)
endif

rhomedef := $(shell pkg-config --variable=rhome libR)

ifneq (,${R_HOME})

MODULE_big	:= plr
PG_CPPFLAGS	+= -I$(r_includespec)
SRCS		+= plr.c pg_conversion.c pg_backend_support.c pg_userfuncs.c pg_rsupport.c
OBJS		:= $(SRCS:.c=.o)
SHLIB_LINK	+= -L$(r_libdir1x) -L$(r_libdir2x) -lR

DATA_built	:= plr.sql 
DOCS		:= README.plr
REGRESS		:= plr
EXTRA_CLEAN	:= doc/HTML.index

ifdef USE_PGXS
PGXS := $(shell pg_config --pgxs)
include $(PGXS)
else
subdir = contrib/plr
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

ifeq ($(PORTNAME), darwin)
	DYSUFFIX = dylib
	DLPREFIX = libR
else
	ifeq ($(PORTNAME), win32)
		DLPREFIX = R
	else
		DLPREFIX = libR
	endif
endif

# we can only build PL/R if libR is available
# Since there is no official way to determine this,
# we see if there is a file that is named like a shared library.
ifneq ($(PORTNAME), darwin)
	ifneq (,$(wildcard $(r_libdir1x)/$(DLPREFIX)*$(DLSUFFIX)*)$(wildcard $(r_libdir2x)/$(DLPREFIX)*$(DLSUFFIX)*))
		shared_libr = yes;
	endif
else
	ifneq (,$(wildcard $(r_libdir1x)/$(DLPREFIX)*$(DYSUFFIX)*)$(wildcard $(r_libdir2x)/$(DLPREFIX)*$(DYSUFFIX)*))
		shared_libr = yes
	endif
endif

# If we don't have a shared library and the platform doesn't allow it
# to work without, we have to skip it.
ifneq (,$(findstring yes, $(shared_libr)$(allow_nonpic_in_shlib)))

override CPPFLAGS := -I"$(srcdir)" -I"$(r_includespec)" $(CPPFLAGS)
override CPPFLAGS += -DPKGLIBDIR=\"$(pkglibdir)\" -DDLSUFFIX=\"$(DLSUFFIX)\"
override CPPFLAGS += -DR_HOME_DEFAULT=\"$(rhomedef)\"

else # can't build

all:
	@echo ""; \
	 echo "*** Cannot build PL/R because libR is not a shared library." ; \
	 echo "*** You might have to rebuild your R installation.  Refer to"; \
	 echo "*** the documentation for details."; \
	 echo ""

endif # can't build - cannot find libR

else  # can't build - no R_HOME

all:
	@echo ""; \
	 echo "*** Cannot build PL/R because R_HOME cannot be found." ; \
	 echo "*** Refer to the documentation for details."; \
	 echo ""

endif

## plr 8.3.0.9

=== Makefile ===
--- 
+++ 
@@ -5,14 +5,14 @@
 r_libdir2x = ${R_HOME}/lib
 # location of R includes
 r_includespec = ${R_HOME}/include
+rhomedef = ${R_HOME}
 else
 R_HOME := $(shell pkg-config --variable=rhome libR)
 r_libdir1x := $(shell pkg-config --variable=rlibdir libR)
 r_libdir2x := $(shell pkg-config --variable=rlibdir libR)
 r_includespec := $(shell pkg-config --variable=rincludedir libR)
+rhomedef := $(shell pkg-config --variable=rhome libR)
 endif
-
-rhomedef := $(shell pkg-config --variable=rhome libR)
 
 ifneq (,${R_HOME})
 
@@ -28,7 +28,10 @@
 EXTRA_CLEAN	:= doc/HTML.index
 
 ifdef USE_PGXS
-PGXS := $(shell pg_config --pgxs)
+ifndef PG_CONFIG
+PG_CONFIG := pg_config
+endif
+PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 else
 subdir = contrib/plr

## plr 8.3.0.13

=== Makefile ===
--- 
+++ 
@@ -16,16 +16,17 @@
 
 ifneq (,${R_HOME})
 
-MODULE_big	:= plr
+EXTENSION	= plr
+MODULE_big	= plr
 PG_CPPFLAGS	+= -I$(r_includespec)
 SRCS		+= plr.c pg_conversion.c pg_backend_support.c pg_userfuncs.c pg_rsupport.c
 OBJS		:= $(SRCS:.c=.o)
 SHLIB_LINK	+= -L$(r_libdir1x) -L$(r_libdir2x) -lR
-
-DATA_built	:= plr.sql 
-DOCS		:= README.plr
-REGRESS		:= plr
-EXTRA_CLEAN	:= doc/HTML.index
+DATA_built	= plr.sql
+DATA		= plr--8.3.0.13.sql plr--unpackaged--8.3.0.13.sql
+DOCS		= README.plr
+REGRESS		= plr
+EXTRA_CLEAN	= doc/html/* doc/plr-US.aux doc/plr-*.log doc/plr-*.out doc/plr-*.pdf doc/plr-*.tex-pdf
 
 ifdef USE_PGXS
 ifndef PG_CONFIG

=== debian/changelog ===
plr (1:8.3.0.13-1) unstable; urgency=low

  * Take over as maintainer, thanks to Andreas for the permission!
  * New upstream version.
  * Rewrite debian/rules to build for multiple PostgreSQL versions using
    pg_buildext.  Closes: #639473

 -- Christoph Berg <myon@debian.org>  Thu, 06 Oct 2011 23:41:43 +0200

plr (1:8.3.0.9-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.4 (no changes needed)
  * Versioned depends from r-base-core
    Closes: #544644
  * Probably because of the upstream version number the reporter of
    bug #559586 assumed that the package would be related to
    PostgreSQL version 8.3.  According to upstream it works with both
    PostgreSQL 8.3 *and* 8.4 but the package is build to work with
    version 8.4 exclusively since latest upload.
    Closes: #559586

 -- Andreas Tille <tille@debian.org>  Wed, 10 Feb 2010 14:38:45 +0100

plr (1:8.3.0.8-2) unstable; urgency=low

  * Section database instead of libs
  * Standards-Version: 3.8.3 (no changes needed)
  * Works also with postgresql 8.4
  * debian/postinst: Make sure libR.so will be found
    by PL/R

 -- Andreas Tille <tille@debian.org>  Thu, 19 Nov 2009 07:51:12 +0100

plr (1:8.3.0.8-1) unstable; urgency=low

  * New upstream version
    Patch debian/patches/20_r2.8compat.patch was adopted upstream
  * Prevent default "pg_config" from returning 8.4-related paths
    (Thanks to Chris Lamb <lamby@debian.org>)
    Closes: #537008
  * Standards-Version: 3.8.2 (no changes needed)
  * Debhelper 7

 -- Andreas Tille <tille@debian.org>  Thu, 30 Jul 2009 19:05:30 +0200

plr (1:8.3.0.6-3) unstable; urgency=low

  * Fix FTBFS bug when building against R2.8 according to a
    hint from upstream.
    Closes: #510251, #512891

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jan 2009 07:20:17 +0100

plr (1:8.3.0.6-2) unstable; urgency=low

  * Fixed Vcs fields
  * Adding README.Debian with hints what is needed to configure PL/R
    and makesure that ldconfig is called in postinst script
    Closes: #506728

 -- Andreas Tille <tille@debian.org>  Mon, 24 Nov 2008 15:21:23 +0100

plr (1:8.3.0.6-1) unstable; urgency=low

  * New upstream version
  * New maintainer (package was removed from Debian and is subject
    to reinclude)
    Closes: #491156
  * Added watch file
  * Use quilt to apply patch
  * Standards-Version: 3.8.0 (Added README.Sources because of using quilt)
  * debian/install: Make sure that any new version of the library gets
    moved to the right destination
    Closes: #461995
  * debian/rules: Remove -rpath stuff
  * debian/control:
    - Provides: postgresql-plr
    - Added Homepage field
    - Added Vcs fields

 -- Andreas Tille <tille@debian.org>  Wed, 16 Jul 2008 16:17:11 +0200

plr (1:8.2.0.7-3) unstable; urgency=low

  * QA Upload
  * Add build-dep on pkg-config
  * Fix pg_config call in Makefile (Closes: #460366)

 -- Barry deFreese <bddebian@comcast.net>  Fri, 18 Jan 2008 14:16:08 -0500

plr (1:8.2.0.7-2) unstable; urgency=low

  * Orphan package (see #228074).

 -- Martin Pitt <mpitt@debian.org>  Sun, 30 Dec 2007 20:38:42 +0100

plr (1:8.2.0.7-1) unstable; urgency=low

  * New upstream release.
  * Drop debian/patches/R_HOME_default.patch: Upstream now checks R's
    pkg-config for R's home directory and uses it as a default.

 -- Martin Pitt <mpitt@debian.org>  Sun, 16 Sep 2007 14:48:32 +0200

plr (1:8.2.0.1-2) unstable; urgency=low

  * Move packaging to cdbs.
  * Add debian/patches/R_HOME_default.patch: Fall back to /usr/lib/R if R_HOME
    is not defined. This is pretty much a constant in Debian and Ubuntu, and
    doing it with an implicit default is much more elegant than hacking in
    configuration files. Thanks to Luca Falavigna for this patch!
    Closes: #439270 and LP: #130059

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 24 Aug 2007 17:42:15 +0200

plr (1:8.2.0.1-1) unstable; urgency=low

  * New upstream version, now works with PostgreSQL 8.2.
  * Drop the 7.4 and 8.1 packages, only build 8.2 extension.
  * Greatly simplify the build scripts to only build one version of the
    extension.
  * debian/control: Update Standards-Version.
  * debian/copyright: Update FSF address and copyright years.
  * plr.h: Fix R_PARSEVECTOR macro for new R_ParseVector() API of R 2.5.

 -- Martin Pitt <mpitt@debian.org>  Thu, 19 Apr 2007 23:35:06 +0200

plr (1:0.6.2-4) unstable; urgency=low

  * Build on mips and mipsel again, now that the PostgreSQL SIGBUS problem
    turned out to be a kernel bug (which is fixed in 2.6.16).

 -- Martin Pitt <mpitt@debian.org>  Sun, 23 Jul 2006 10:21:03 +0200

plr (1:0.6.2-3) unstable; urgency=medium

  * Urgency medium since this blocks postgresql-7.4 migration to testing and
    only has one important bug fix.
  * Do not build packages on mips and mipsel any more, since PostgreSQL does
    not currently work on these architectures (see bug #357603).
  * debian/rules: Add rpath /usr/lib/R/lib to plr.so libraries so that PL/R
    can be created without manual hacking. Closes: #360796

 -- Martin Pitt <mpitt@debian.org>  Sun, 16 Jul 2006 18:04:54 +0200

plr (1:0.6.2-2) unstable; urgency=high

  * Urgency high since this only fixes an RC bug.
  * Fix FTBFS. Closes: #356102:
    - debian/rules: Fix R include path for 7.4 build.
    - debian/Makefile.Debian.7.4: Fix R include path for 8.1 build.

 -- Martin Pitt <mpitt@debian.org>  Mon, 13 Mar 2006 17:35:46 +0100

plr (1:0.6.2-1) unstable; urgency=low

  * New upstream version.
  * Drop package for PostgreSQL 8.0, build 8.1 package. Closes: #339416

 -- Martin Pitt <mpitt@debian.org>  Thu, 17 Nov 2005 19:38:03 +0100

plr (1:0.6.1-1) unstable; urgency=low

  * New upstream version; orig.tar.gz now contains just the upstream tarball
    for easier multi-build.
  * Transition to new PostgreSQL architecture.
  * debian/control:
    - Changed build dependency postgresql-dev to postgresql-server-dev-7.4 and
      postgresql-server-dev-8.0.
    - Now build packages for 7.4 and 8.0 servers.



=== debian/control ===
Source: plr
Priority: optional
Section: database
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7.0.50~), pkg-config,
 postgresql-server-dev-all (>= 118~), r-base-core, quilt
Standards-Version: 3.9.2
Homepage: http://www.joeconway.com/plr/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/postgresql-plr/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/pkg-postgresql/trunk/postgresql-plr

Package: postgresql-9.1-plr
Architecture: any
Depends: r-base-core (>= 2.10), postgresql-9.1, ${shlibs:Depends}, ${misc:Depends}
Suggests: r-recommended
Provides: postgresql-plr
Description: Procedural language interface between PostgreSQL and R
 R is a language and environment for statistical computing and graphics,
 providing a wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis, classification,
 clustering, and so on).
 .
 PostgreSQL is an open source SQL database server.
 .
 This package provides a procedural language interface to R from
 PostgreSQL. Procedural languages are used to write functions
 which can be called in database queries.

=== debian/rules ===
#!/usr/bin/make -f

# include /usr/share/cdbs/1/rules/patchsys-quilt.mk
# include /usr/share/cdbs/1/class/makefile.mk
# include /usr/share/cdbs/1/rules/debhelper.mk
# 
# #LDFLAGS=-Wl,-rpath /usr/lib/R/lib
# #SHLIB_LINK=-Wl,-rpath /usr/lib/R/lib
# #export LDFLAGS SHLIB_LINK
# 
# DEB_MAKE_ENVVARS:=$(shell echo "USE_PGXS=1 PG_CONFIG="`ls /usr/lib/postgresql/8.[34]/bin/pg_config | sort | tail -n1` )
# # Do not set R_HOME to force variable setting via pkg-config which leads to more
# # reasonable results regarding r_includespec
# # R_HOME=/usr/lib/R
# DEB_MAKE_CLEAN_TARGET:=distclean
# DEB_MAKE_BUILD_TARGET:=-I/usr/share/R/include PG_CPPFLAGS=-I/usr/share/R/include
# DEB_MAKE_INSTALL_TARGET:=USE_PGXS=1 R_HOME=/usr/lib/R install DESTDIR=debian/tmp/
# DEB_DH_INSTALL_ARGS:=--sourcedir=debian/tmp --fail-missing
# ## This line prevents generating a postinst script which needs to call ldconfig
# # DEB_DH_MAKESHLIBS_ARGS:=-Xplr

SRCDIR = $(CURDIR)
include /usr/share/postgresql-common/pgxs_debian_control.mk
clean: debian/control
.PHONY: debian/control

build-indep:
build build-arch: build-stamp
build-stamp:
	+debian/pg_buildext build $(CURDIR) build-%v
	touch $@

clean:
	+debian/pg_buildext clean $(CURDIR) build-%v
	rm -rf build-?.? debian/postgresql-?.?-plr
	dh $@

override_dh_installdocs:
	dh_installdocs --all doc/html/*.html

binary-indep:
binary binary-arch:
	dh_prep
	+debian/pg_buildext install $(CURDIR) build-%v postgresql-%v-plr
	dh $@

%:
	dh $@

.PHONY: build build-arch build-indep clean install binary binary-arch binary-indep

## plr 8.3.0.15

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,13 @@
 r_libdir1x = ${R_HOME}/bin
 r_libdir2x = ${R_HOME}/lib
 # location of R includes
-r_includespec = ${R_HOME}/include
+r_includespec = -I${R_HOME}/include
 rhomedef = ${R_HOME}
 else
 R_HOME := $(shell pkg-config --variable=rhome libR)
 r_libdir1x := $(shell pkg-config --variable=rlibdir libR)
 r_libdir2x := $(shell pkg-config --variable=rlibdir libR)
-r_includespec := $(shell pkg-config --variable=rincludedir libR)
+r_includespec := $(shell pkg-config --cflags-only-I libR)
 rhomedef := $(shell pkg-config --variable=rhome libR)
 endif
 
@@ -18,12 +18,12 @@
 
 EXTENSION	= plr
 MODULE_big	= plr
-PG_CPPFLAGS	+= -I$(r_includespec)
+PG_CPPFLAGS	+= $(r_includespec)
 SRCS		+= plr.c pg_conversion.c pg_backend_support.c pg_userfuncs.c pg_rsupport.c
 OBJS		:= $(SRCS:.c=.o)
 SHLIB_LINK	+= -L$(r_libdir1x) -L$(r_libdir2x) -lR
 DATA_built	= plr.sql
-DATA		= plr--8.3.0.13.sql plr--unpackaged--8.3.0.13.sql
+DATA		= plr--8.3.0.15.sql plr--unpackaged--8.3.0.15.sql
 DOCS		= README.plr
 REGRESS		= plr
 EXTRA_CLEAN	= doc/html/* doc/plr-US.aux doc/plr-*.log doc/plr-*.out doc/plr-*.pdf doc/plr-*.tex-pdf

=== debian/changelog ===
plr (1:8.3.0.15-1git1) trusty; urgency=low

  Upload current Debian packaging git head to fix autopkgtest.

  * Add postgresql-server-dev-all and pkg-config test dependencies as the test
    uses pg_buildext and pkg-config.
  * debian/tests/installcheck: Temporarily modify test script to use CREATE
    EXTENSION instead of sourcing the build tree's plr.psql. We want to test
    the installed package and avoid building.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 05 Nov 2013 06:34:31 +0100

plr (1:8.3.0.15-1) unstable; urgency=low

  * New upstream version.
  * Use "8.4+" in debian/pgversions and B-D on postgresql-server-dev-all
    >= 148.  Closes: #725572.

 -- Christoph Berg <myon@debian.org>  Fri, 16 Aug 2013 12:48:32 +0200

plr (1:8.3.0.14-1) experimental; urgency=low

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sun, 31 Mar 2013 23:40:26 +0200

plr (1:8.3.0.13.1-1) experimental; urgency=low

  [ Andreas Tille ]
  * debian/control[.in]
     - Fixed Vcs fields
     - Standards-Version: 3.9.3 (no changes needed)

  [ Christoph Berg ]
  * New upstream version.
  * Add autopkgtest regression test. (Expected failure on 8.4.)
  * debian/pgversions: Add 9.2 and 9.3.
  * debian/rules: Use system pg_buildext again (>= 140).

 -- Christoph Berg <myon@debian.org>  Thu, 31 Jan 2013 11:22:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Section: database
 Maintainer: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), pkg-config,
- postgresql-server-dev-all (>= 118~), r-base-core, quilt
-Standards-Version: 3.9.2
+ postgresql-server-dev-all (>= 148~), r-base-core, quilt
+Standards-Version: 3.9.4
 Homepage: http://www.joeconway.com/plr/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/postgresql-plr/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/pkg-postgresql/trunk/postgresql-plr
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/plr.git
+Vcs-Git: git://anonscm.debian.org/pkg-postgresql/plr.git
+XS-Testsuite: autopkgtest
 
-Package: postgresql-9.1-plr
+Package: postgresql-9.3-plr
 Architecture: any
-Depends: r-base-core (>= 2.10), postgresql-9.1, ${shlibs:Depends}, ${misc:Depends}
+Depends: r-base-core (>= 2.10), postgresql-9.3, ${shlibs:Depends}, ${misc:Depends}
 Suggests: r-recommended
 Provides: postgresql-plr
 Description: Procedural language interface between PostgreSQL and R

=== debian/rules ===
#!/usr/bin/make -f

SRCDIR = $(CURDIR)
include /usr/share/postgresql-common/pgxs_debian_control.mk
clean: debian/control
.PHONY: debian/control

override_dh_auto_build:
	+pg_buildext build $(CURDIR) build-%v

override_dh_auto_test:
	# no tests here, we are using autopkgtest

override_dh_auto_clean:
	+pg_buildext clean $(CURDIR) build-%v
	rm -rf build-?.? debian/postgresql-?.?-plr

override_dh_installdocs:
	dh_installdocs --all doc/*.html

override_dh_auto_install:
	+pg_buildext install $(CURDIR) build-%v postgresql-%v-plr

%:
	dh $@

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, pkg-config
Tests: installcheck
Restrictions: needs-root

=== debian/watch ===
version=3

http://www.joeconway.com/plr/plr-(.*)\.tar\.gz

## plr 8.3.0.16

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 OBJS		:= $(SRCS:.c=.o)
 SHLIB_LINK	+= -L$(r_libdir1x) -L$(r_libdir2x) -lR
 DATA_built	= plr.sql
-DATA		= plr--8.3.0.15.sql plr--unpackaged--8.3.0.15.sql
+DATA		= plr--8.3.0.16.sql plr--unpackaged--8.3.0.16.sql
 DOCS		= README.plr
 REGRESS		= plr
 EXTRA_CLEAN	= doc/html/* doc/plr-US.aux doc/plr-*.log doc/plr-*.out doc/plr-*.pdf doc/plr-*.tex-pdf

=== debian/changelog ===
plr (1:8.3.0.16-1) unstable; urgency=medium

  * New upstream version with 9.5 support.
  * Don't remove docs on clean.
  * Remove special handling for libR on lucid.

 -- Christoph Berg <myon@debian.org>  Sun, 10 Jan 2016 17:30:23 +0100

plr (1:8.3.0.15-5) UNRELEASED; urgency=medium

  * Work around missing /usr/lib/libR.so on lucid. Code was already
    present in debian/postinst, but not installed into all binaries.
    Patch by Robert Stone, thanks!

 -- Christoph Berg <myon@debian.org>  Fri, 05 Sep 2014 09:38:42 +0200

plr (1:8.3.0.15-4) unstable; urgency=medium

  * Upload to unstable for 9.4.

 -- Christoph Berg <myon@debian.org>  Fri, 25 Jul 2014 22:34:42 +0200

plr (1:8.3.0.15-3) experimental; urgency=medium

  * B-D on pg-common >= 158~ in experimental (9.3+9.4).
  * Drop quilt B-D.
  * Set team as maintainer.

 -- Christoph Berg <myon@debian.org>  Sat, 05 Jul 2014 22:47:03 +0200

plr (1:8.3.0.15-2) unstable; urgency=medium

  [ Martin Pitt ]
  * Add postgresql-server-dev-all and pkg-config test dependencies as the test
    uses pg_buildext and pkg-config.
  * debian/tests/installcheck: Temporarily modify test script to use CREATE
    EXTENSION instead of sourcing the build tree's plr.psql. We want to test
    the installed package and avoid building.

  [ Christoph Berg ]
  * Add expected/plr_1.out to catch the 8.4 test results.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 10 Feb 2014 13:15:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: plr
 Priority: optional
 Section: database
-Maintainer: Christoph Berg <myon@debian.org>
+Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), pkg-config,
- postgresql-server-dev-all (>= 148~), r-base-core, quilt
-Standards-Version: 3.9.4
+ postgresql-server-dev-all (>= 158~), r-base-core
+Standards-Version: 3.9.6
 Homepage: http://www.joeconway.com/plr/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/plr.git
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/plr.git
 XS-Testsuite: autopkgtest
 
-Package: postgresql-9.3-plr
+Package: postgresql-9.5-plr
 Architecture: any
-Depends: r-base-core (>= 2.10), postgresql-9.3, ${shlibs:Depends}, ${misc:Depends}
+Depends: r-base-core (>= 2.10), postgresql-9.5, ${shlibs:Depends}, ${misc:Depends}
 Suggests: r-recommended
 Provides: postgresql-plr
 Description: Procedural language interface between PostgreSQL and R

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:

override_dh_auto_test:
	# no tests here, we are using autopkgtest

override_dh_installdocs:
	dh_installdocs --all doc/html/*.html

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-plr

override_dh_auto_clean:
	$(MAKE) clean USE_PGXS=1

%:
	dh $@

## plr 8.3.0.17

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 OBJS		:= $(SRCS:.c=.o)
 SHLIB_LINK	+= -L$(r_libdir1x) -L$(r_libdir2x) -lR
 DATA_built	= plr.sql
-DATA		= plr--8.3.0.16.sql plr--unpackaged--8.3.0.16.sql
+DATA		= plr--8.3.0.17.sql plr--unpackaged--8.3.0.17.sql
 DOCS		= README.plr
 REGRESS		= plr
 EXTRA_CLEAN	= doc/html/* doc/plr-US.aux doc/plr-*.log doc/plr-*.out doc/plr-*.pdf doc/plr-*.tex-pdf

=== debian/changelog ===
plr (1:8.3.0.17-3) unstable; urgency=medium

  * Use SOURCE_DATE_EPOCH for documentation timestamp via openjade.
    Closes: #877381

 -- Christoph Berg <myon@debian.org>  Sat, 07 Oct 2017 17:21:25 +0200

plr (1:8.3.0.17-2) unstable; urgency=medium

  * Team upload with PostgreSQL 10 support.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 27 Sep 2017 12:44:41 +0200

plr (1:8.3.0.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Compile docs at build time.
  * Remove obsolete README.Debian file.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 16 Nov 2016 14:18:51 +0100

plr (1:8.3.0.16-2) unstable; urgency=medium

  * Upload with 9.6 support.
  * Update watchfile URL.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Sep 2016 23:00:04 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Section: database
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), pkg-config,
- postgresql-server-dev-all (>= 158~), r-base-core
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), pkg-config,
+ postgresql-server-dev-all (>= 158~), r-base-core,
+ docbook-dsssl, openjade, texlive-htmlxml | jadetex,
+Standards-Version: 4.1.1
 Homepage: http://www.joeconway.com/plr/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/plr.git
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/plr.git
 XS-Testsuite: autopkgtest
 
-Package: postgresql-9.5-plr
+Package: postgresql-10-plr
 Architecture: any
-Depends: r-base-core (>= 2.10), postgresql-9.5, ${shlibs:Depends}, ${misc:Depends}
+Depends: r-base-core (>= 2.10), postgresql-10, ${shlibs:Depends}, ${misc:Depends}
 Suggests: r-recommended
 Provides: postgresql-plr
 Description: Procedural language interface between PostgreSQL and R

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:
	cd doc && ./pg_doc

override_dh_auto_test:
	# no tests here, we are using autopkgtest

override_dh_installdocs:
	dh_installdocs --all doc/plr-US.pdf doc/html/*.html

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-plr

override_dh_auto_clean:
	$(MAKE) clean USE_PGXS=1
	# ignore error because it needs patches applied
	-$(MAKE) clean_manual USE_PGXS=1
	rm -f doc/HTML.index

%:
	dh $@

## plr 8.3.0.18

=== Makefile ===
--- 
+++ 
@@ -23,10 +23,10 @@
 OBJS		:= $(SRCS:.c=.o)
 SHLIB_LINK	+= -L$(r_libdir1x) -L$(r_libdir2x) -lR
 DATA_built	= plr.sql
-DATA		= plr--8.3.0.17.sql plr--unpackaged--8.3.0.17.sql
+DATA		= plr--8.3.0.18.sql plr--unpackaged--8.3.0.18.sql
 DOCS		= README.plr
 REGRESS		= plr
-EXTRA_CLEAN	= doc/html/* doc/plr-US.aux doc/plr-*.log doc/plr-*.out doc/plr-*.pdf doc/plr-*.tex-pdf
+EXTRA_CLEAN	= doc/html/* doc/plr-US.aux doc/plr-*.log doc/plr-*.out doc/plr-*.pdf doc/plr-*.tex-pdf doc/HTML.index
 
 ifdef USE_PGXS
 ifndef PG_CONFIG

=== debian/changelog ===
plr (1:8.3.0.18-2.pgdg+2) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 13 Oct 2018 11:32:48 +0200

plr (1:8.3.0.18-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Oct 2018 11:32:48 +0200

plr (1:8.3.0.18-1) unstable; urgency=medium

  * New upstream version.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Mon, 01 Oct 2018 21:41:51 +0200

plr (1:8.3.0.17-14-gc9498af-1) unstable; urgency=medium

  * New upstream snapshot with PG11 support.
  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 26 Jun 2018 15:28:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,84 @@
 Source: plr
 Priority: optional
 Section: database
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 9), pkg-config,
  postgresql-server-dev-all (>= 158~), r-base-core,
  docbook-dsssl, openjade, texlive-htmlxml | jadetex,
 Standards-Version: 4.1.1
 Homepage: http://www.joeconway.com/plr/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/plr.git
-Vcs-Git: git://anonscm.debian.org/pkg-postgresql/plr.git
+Vcs-Browser: https://salsa.debian.org/postgresql/plr
+Vcs-Git: https://salsa.debian.org/postgresql/plr.git
 XS-Testsuite: autopkgtest
+
+Package: postgresql-9.3-plr
+Architecture: any
+Depends: r-base-core (>= 2.10), postgresql-9.3, ${shlibs:Depends}, ${misc:Depends}
+Suggests: r-recommended
+Provides: postgresql-plr
+Description: Procedural language interface between PostgreSQL and R
+ R is a language and environment for statistical computing and graphics,
+ providing a wide variety of statistical and graphical techniques (linear and
+ nonlinear modelling, statistical tests, time series analysis, classification,
+ clustering, and so on).
+ .
+ PostgreSQL is an open source SQL database server.
+ .
+ This package provides a procedural language interface to R from
+ PostgreSQL. Procedural languages are used to write functions
+ which can be called in database queries.
+
+Package: postgresql-9.4-plr
+Architecture: any
+Depends: r-base-core (>= 2.10), postgresql-9.4, ${shlibs:Depends}, ${misc:Depends}
+Suggests: r-recommended
+Provides: postgresql-plr
+Description: Procedural language interface between PostgreSQL and R
+ R is a language and environment for statistical computing and graphics,
+ providing a wide variety of statistical and graphical techniques (linear and
+ nonlinear modelling, statistical tests, time series analysis, classification,
+ clustering, and so on).
+ .
+ PostgreSQL is an open source SQL database server.
+ .
+ This package provides a procedural language interface to R from
+ PostgreSQL. Procedural languages are used to write functions
+ which can be called in database queries.
+
+Package: postgresql-9.5-plr
+Architecture: any
+Depends: r-base-core (>= 2.10), postgresql-9.5, ${shlibs:Depends}, ${misc:Depends}
+Suggests: r-recommended
+Provides: postgresql-plr
+Description: Procedural language interface between PostgreSQL and R
+ R is a language and environment for statistical computing and graphics,
+ providing a wide variety of statistical and graphical techniques (linear and
+ nonlinear modelling, statistical tests, time series analysis, classification,
+ clustering, and so on).
+ .
+ PostgreSQL is an open source SQL database server.
+ .
+ This package provides a procedural language interface to R from
+ PostgreSQL. Procedural languages are used to write functions
+ which can be called in database queries.
+
+Package: postgresql-9.6-plr
+Architecture: any
+Depends: r-base-core (>= 2.10), postgresql-9.6, ${shlibs:Depends}, ${misc:Depends}
+Suggests: r-recommended
+Provides: postgresql-plr
+Description: Procedural language interface between PostgreSQL and R
+ R is a language and environment for statistical computing and graphics,
+ providing a wide variety of statistical and graphical techniques (linear and
+ nonlinear modelling, statistical tests, time series analysis, classification,
+ clustering, and so on).
+ .
+ PostgreSQL is an open source SQL database server.
+ .
+ This package provides a procedural language interface to R from
+ PostgreSQL. Procedural languages are used to write functions
+ which can be called in database queries.
 
 Package: postgresql-10-plr
 Architecture: any
@@ -29,3 +97,20 @@
  PostgreSQL. Procedural languages are used to write functions
  which can be called in database queries.
 
+Package: postgresql-11-plr
+Architecture: any
+Depends: r-base-core (>= 2.10), postgresql-11, ${shlibs:Depends}, ${misc:Depends}
+Suggests: r-recommended
+Provides: postgresql-plr
+Description: Procedural language interface between PostgreSQL and R
+ R is a language and environment for statistical computing and graphics,
+ providing a wide variety of statistical and graphical techniques (linear and
+ nonlinear modelling, statistical tests, time series analysis, classification,
+ clustering, and so on).
+ .
+ PostgreSQL is an open source SQL database server.
+ .
+ This package provides a procedural language interface to R from
+ PostgreSQL. Procedural languages are used to write functions
+ which can be called in database queries.
+

## plr 8.4

=== Makefile ===
--- 
+++ 
@@ -23,10 +23,8 @@
 OBJS		:= $(SRCS:.c=.o)
 SHLIB_LINK	+= -L$(r_libdir1x) -L$(r_libdir2x) -lR
 DATA_built	= plr.sql
-DATA		= plr--8.3.0.18.sql plr--unpackaged--8.3.0.18.sql
-DOCS		= README.plr
-REGRESS		= plr
-EXTRA_CLEAN	= doc/html/* doc/plr-US.aux doc/plr-*.log doc/plr-*.out doc/plr-*.pdf doc/plr-*.tex-pdf doc/HTML.index
+DATA		= plr--8.4.sql plr--8.3.0.18--8.4.sql plr--unpackaged--8.4.sql
+REGRESS		= plr bad_fun opt_window do out_args
 
 ifdef USE_PGXS
 ifndef PG_CONFIG

=== debian/changelog ===
plr (1:8.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 12:51:37 +0100

plr (1:8.4-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Jun 2019 11:55:26 +0200

=== debian/control ===
Source: plr
Priority: optional
Section: database
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), pkg-config,
 postgresql-server-dev-all (>= 158~), r-base-core,
Standards-Version: 4.3.0
Homepage: https://github.com/postgres-plr/plr
Vcs-Browser: https://salsa.debian.org/postgresql/plr
Vcs-Git: https://salsa.debian.org/postgresql/plr.git

Package: postgresql-12-plr
Architecture: any
Depends: r-base-core (>= 2.10), postgresql-12, ${shlibs:Depends}, ${misc:Depends}
Suggests: r-recommended
Provides: postgresql-plr
Description: Procedural language interface between PostgreSQL and R
 R is a language and environment for statistical computing and graphics,
 providing a wide variety of statistical and graphical techniques (linear and
 nonlinear modelling, statistical tests, time series analysis, classification,
 clustering, and so on).
 .
 PostgreSQL is an open source SQL database server.
 .
 This package provides a procedural language interface to R from
 PostgreSQL. Procedural languages are used to write functions
 which can be called in database queries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:

override_dh_auto_test:
	# no tests here, we are using autopkgtest

override_dh_installdocs:
	dh_installdocs --all userguide.md

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-plr

override_dh_auto_clean:
	$(MAKE) clean USE_PGXS=1

%:
	dh $@

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, pkg-config
Tests: installcheck
Restrictions: allow-stderr

## plr 8.4.1

=== Makefile ===
--- 
+++ 
@@ -22,8 +22,7 @@
 SRCS		+= plr.c pg_conversion.c pg_backend_support.c pg_userfuncs.c pg_rsupport.c
 OBJS		:= $(SRCS:.c=.o)
 SHLIB_LINK	+= -L$(r_libdir1x) -L$(r_libdir2x) -lR
-DATA_built	= plr.sql
-DATA		= plr--8.4.sql plr--8.3.0.18--8.4.sql plr--unpackaged--8.4.sql
+DATA		= plr--8.4.1.sql plr--8.4--8.4.1.sql plr--unpackaged--8.4.1.sql
 REGRESS		= plr bad_fun opt_window do out_args
 
 ifdef USE_PGXS

=== debian/changelog ===
plr (1:8.4.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop (but no build-time tests yet).
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.
  * debian/tests: Use pg_buildext installcheck.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Oct 2020 16:03:35 +0200

plr (1:8.4.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * New upstream version 8.4.1.

 -- Christoph Berg <myon@debian.org>  Fri, 25 Sep 2020 11:41:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Section: database
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 9), pkg-config,
- postgresql-server-dev-all (>= 158~), r-base-core,
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), pkg-config,
+ postgresql-server-dev-all (>= 219~), r-base-core,
+Standards-Version: 4.5.0
 Homepage: https://github.com/postgres-plr/plr
 Vcs-Browser: https://salsa.debian.org/postgresql/plr
 Vcs-Git: https://salsa.debian.org/postgresql/plr.git
 
-Package: postgresql-12-plr
+Package: postgresql-13-plr
 Architecture: any
-Depends: r-base-core (>= 2.10), postgresql-12, ${shlibs:Depends}, ${misc:Depends}
+Depends: r-base-core (>= 2.10), postgresql-13, ${shlibs:Depends}, ${misc:Depends}
 Suggests: r-recommended
 Provides: postgresql-plr
 Description: Procedural language interface between PostgreSQL and R

=== debian/watch ===
version=3

opts="uversionmangle=s/_/./g" \
https://github.com/postgres-plr/plr/releases .*/REL(.*).tar.gz

## plr 8.4.5~20220627.1525-1~1.git320b997.pgdg18.04+1

=== debian/changelog ===
plr (1:8.4.5~20220627.1525-1~1.git320b997.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 26 Nov 2021 15:51:25 +0100

plr (1:8.4.5-1) unstable; urgency=medium

  * New upstream version 8.4.5.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Nov 2021 15:51:25 +0100

plr (1:8.4.4-1) unstable; urgency=medium

  * New upstream version 8.4.4.
  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Oct 2021 14:10:41 +0200

plr (1:8.4.3-1) unstable; urgency=medium

  * New upstream version 8.4.3.

 -- Christoph Berg <myon@debian.org>  Wed, 29 Sep 2021 12:05:16 +0200

plr (1:8.4.2-1) experimental; urgency=medium

  * New upstream version 8.4.2.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Jun 2021 14:31:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,64 @@
 Section: database
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper-compat (= 13), pkg-config,
+Build-Depends: debhelper (>= 11), pkg-config,
  postgresql-server-dev-all (>= 219~), r-base-core,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/postgres-plr/plr
 Vcs-Browser: https://salsa.debian.org/postgresql/plr
 Vcs-Git: https://salsa.debian.org/postgresql/plr.git
+
+Package: postgresql-10-plr
+Architecture: any
+Depends: r-base-core (>= 2.10), postgresql-10, ${shlibs:Depends}, ${misc:Depends}
+Suggests: r-recommended
+Provides: postgresql-plr
+Description: Procedural language interface between PostgreSQL and R
+ R is a language and environment for statistical computing and graphics,
+ providing a wide variety of statistical and graphical techniques (linear and
+ nonlinear modelling, statistical tests, time series analysis, classification,
+ clustering, and so on).
+ .
+ PostgreSQL is an open source SQL database server.
+ .
+ This package provides a procedural language interface to R from
+ PostgreSQL. Procedural languages are used to write functions
+ which can be called in database queries.
+
+Package: postgresql-11-plr
+Architecture: any
+Depends: r-base-core (>= 2.10), postgresql-11, ${shlibs:Depends}, ${misc:Depends}
+Suggests: r-recommended
+Provides: postgresql-plr
+Description: Procedural language interface between PostgreSQL and R
+ R is a language and environment for statistical computing and graphics,
+ providing a wide variety of statistical and graphical techniques (linear and
+ nonlinear modelling, statistical tests, time series analysis, classification,
+ clustering, and so on).
+ .
+ PostgreSQL is an open source SQL database server.
+ .
+ This package provides a procedural language interface to R from
+ PostgreSQL. Procedural languages are used to write functions
+ which can be called in database queries.
+
+Package: postgresql-12-plr
+Architecture: any
+Depends: r-base-core (>= 2.10), postgresql-12, ${shlibs:Depends}, ${misc:Depends}
+Suggests: r-recommended
+Provides: postgresql-plr
+Description: Procedural language interface between PostgreSQL and R
+ R is a language and environment for statistical computing and graphics,
+ providing a wide variety of statistical and graphical techniques (linear and
+ nonlinear modelling, statistical tests, time series analysis, classification,
+ clustering, and so on).
+ .
+ PostgreSQL is an open source SQL database server.
+ .
+ This package provides a procedural language interface to R from
+ PostgreSQL. Procedural languages are used to write functions
+ which can be called in database queries.
 
 Package: postgresql-13-plr
 Architecture: any
@@ -26,3 +78,20 @@
  This package provides a procedural language interface to R from
  PostgreSQL. Procedural languages are used to write functions
  which can be called in database queries.
+
+Package: postgresql-14-plr
+Architecture: any
+Depends: r-base-core (>= 2.10), postgresql-14, ${shlibs:Depends}, ${misc:Depends}
+Suggests: r-recommended
+Provides: postgresql-plr
+Description: Procedural language interface between PostgreSQL and R
+ R is a language and environment for statistical computing and graphics,
+ providing a wide variety of statistical and graphical techniques (linear and
+ nonlinear modelling, statistical tests, time series analysis, classification,
+ clustering, and so on).
+ .
+ PostgreSQL is an open source SQL database server.
+ .
+ This package provides a procedural language interface to R from
+ PostgreSQL. Procedural languages are used to write functions
+ which can be called in database queries.

## plr 8.4.5~20220627.1525-1~1.git320b997.pgdg20.04+1

=== debian/changelog ===
plr (1:8.4.5~20220627.1525-1~1.git320b997.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 26 Nov 2021 15:51:25 +0100

## plr 8.4.5~20220627.1525-1~1.git320b997.pgdg22.04+1

=== debian/changelog ===
plr (1:8.4.5~20220627.1525-1~1.git320b997.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 26 Nov 2021 15:51:25 +0100

## plr 8.4.5~20220627.1525-1~1.git320b997.pgdg90+1

=== debian/changelog ===
plr (1:8.4.5~20220627.1525-1~1.git320b997.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 26 Nov 2021 15:51:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: database
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 11), pkg-config,
+Build-Depends: debhelper (>= 10), pkg-config,
  postgresql-server-dev-all (>= 219~), r-base-core,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

## plr 8.4.5~20220627.1525-1~1.git320b997.pgdg100+1

=== debian/changelog ===
plr (1:8.4.5~20220627.1525-1~1.git320b997.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 26 Nov 2021 15:51:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: database
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 10), pkg-config,
+Build-Depends: debhelper (>= 12), pkg-config,
  postgresql-server-dev-all (>= 219~), r-base-core,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

## plr 8.4.5~20220627.1525-1~1.git320b997.pgdg110+1

=== debian/changelog ===
plr (1:8.4.5~20220627.1525-1~1.git320b997.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 26 Nov 2021 15:51:25 +0100

## plr 8.4.5~20220627.1525-1~1.git320b997.pgdg120+1

=== debian/changelog ===
plr (1:8.4.5~20220627.1525-1~1.git320b997.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 26 Nov 2021 15:51:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: database
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 12), pkg-config,
+Build-Depends: debhelper-compat (= 13), pkg-config,
  postgresql-server-dev-all (>= 219~), r-base-core,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
